Bug 122735 - doxywizard; X Error: BadValue (integer parameter out of range for operation)
doxywizard; X Error: BadValue (integer parameter out of range for operation)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: doxygen (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-07 12:01 EDT by Martin Jenner
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debugging infos (1.14 KB, text/plain)
2006-05-17 13:08 EDT, Ngo Than
no flags Details

  None (edit)
Description Martin Jenner 2004-05-07 12:01:18 EDT
Description of problem:

X Error: BadValue (integer parameter out of range for operation) 
starting doxywizard on s390, s390x, ppc.

Version-Release number of selected component (if applicable):


How reproducible:
Always.


Steps to Reproduce:

1. Start doxywizard on either of the platforms above through an ssh
session to that arch.

# doxywizard
X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode:  156
  Minor opcode:  4
  Resource id:  0x100

2.
3.
  
Actual results:

doxywizard starts up and seems usable but displays error.

Expected results:

doxywizard starts up without error. 
As was the case when I started on x86, ia64 and x86_64.

Additional info:
Comment 1 Ngo Than 2004-05-10 09:07:46 EDT
i don't think it's a bug in doxygenwizard, it could be a bug in qt/X
library, which causes this warnig. But the warning seems harmless
Comment 2 Ngo Than 2006-05-17 13:08:51 EDT
Created attachment 129339 [details]
debugging infos
Comment 3 Ngo Than 2006-05-17 13:11:43 EDT
After debugging and asking Trolltech i notice that it's a bug in XFree86
Comment 4 Mike A. Harris 2006-05-18 19:59:54 EDT
(In reply to comment #3)
> After debugging and asking Trolltech i notice that it's a bug in XFree86

Can you elaborate on that?
Comment 5 Ngo Than 2006-05-19 03:50:27 EDT
please take a look at above debug infos.
Comment 6 Mike A. Harris 2006-06-04 00:34:23 EDT
>X Error: BadValue (integer parameter out of range for operation) 2
>  Major opcode:  156
>  Minor opcode:  4
>  Resource id:  0x100

In the above, "X Error" does not indicate "An error has occured in the
X Window System", it indicates "your program has done something invalid,
and the X Window System is pointing out the flaw in your program by
throwing up an error".
Comment 7 RHEL Product and Program Management 2007-10-19 15:26:33 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.